Bug 115233 - [MAINTAINER] security/prelude-manager: update to 0.9.9
[MAINTAINER] security/prelude-manager: update to 0.9.9
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: clsung
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-06 08:20 UTC by r.gruyters
Modified: 2007-08-15 07:50 UTC (History)
0 users

See Also:


Attachments
prelude-manager-0.9.9.patch (1.73 KB, patch)
2007-08-06 08:20 UTC, r.gruyters
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description r.gruyters 2007-08-06 08:20:01 UTC
- Update to 0.9.9
- Fix error when changing ownership of spool directory 

Changelog prelude-manager 0.9.9:
- Update configuration template, add documentation for Prelude
  generic TCP options.
- Implement modified patch from Pierre Chifflier <chifflier@inl.fr>
  to fix the example log path (fix #224).
- Move IDMEF message normalization in the scheduler, rather than
  doing it upon reception. This remove some load from the server
  and allow Prelude-Manager own IDMEF messages to go through the
  normalizer path.
- Implement heartbeat->analyzer normalization.
- Improve IPv4 / IPv6 address normalization.
  IPv4 mapped IPv6 addresses are now mapped back to IPv4.
  Additionally, the Normalize plugin now provide two additionals option:
   ipv6-only: Map any incoming IPv4 address to IPv6.
   keep-ipv4-mapped-ipv6: do not map IPv4 mapped IPv6 addresses back to
   IPv4.
- Make a difference between exceptional report plugin failure (example:
  a single message couldn't be processed) and "global" plugin failure
  (example: database server is down). We use a different failover for
  'exceptional' failure, so that we don't try to reinsert a bogus message
  (fix #247).
- Start of a Prelude-Manager manpages (#236).
- Various bug fixes.

Generated with FreeBSD Port Tools 0.77
Comment 1 r.gruyters 2007-08-06 12:36:53 UTC
Hello,

Looks like i'm missing some files in the files/ directory. Here is another
patch, which includes same changes as the original patch (#115233).

===> Generating patch
===> Viewing diff with less
diff -ruN --exclude=CVS /usr/ports/security/prelude-manager/Makefile /data2/FreeBSD/custom_ports/security/prelude-manager/Makefile
--- /usr/ports/security/prelude-manager/Makefile	Thu Jul  5 02:23:06 2007
+++ /data2/FreeBSD/custom_ports/security/prelude-manager/Makefile	Mon Aug  6 13:32:07 2007
@@ -5,8 +5,7 @@
 # $FreeBSD: ports/security/prelude-manager/Makefile,v 1.45 2007/07/01 08:56:14 novel Exp $
 
 PORTNAME=	prelude-manager
-PORTVERSION=	0.9.8
-PORTREVISION=	1
+PORTVERSION=	0.9.9
 CATEGORIES=	security
 MASTER_SITES=	http://www.prelude-ids.org/download/releases/ \
 		http://www.prelude-ids.org/download/releases/old/
@@ -32,10 +31,18 @@
 PRELUDEUID=	281
 PRELUDEGID=	${PRELUDEUID}
 
+PLIST_SUB+=	PRELUDEUSER=${PRELUDEUSER} \
+		PRELUDEGROUP=${PRELUDEGROUP}
+
+SUB_FILES=	pkg-install \
+		pkg-deinstall
+
+MAN1=		prelude-manager.1
+
 .include <bsd.port.pre.mk>
 
 .if defined(WITHOUT_XML)
-PLIST_SUB+=	WITH_XML="@comment "
+PLIST_SUB+=		WITH_XML="@comment "
 CONFIGURE_ARGS+=	--disable-xmltest --without-xml
 .else
 LIB_DEPENDS+=	xml2.5:${PORTSDIR}/textproc/libxml2
diff -ruN --exclude=CVS /usr/ports/security/prelude-manager/distinfo /data2/FreeBSD/custom_ports/security/prelude-manager/distinfo
--- /usr/ports/security/prelude-manager/distinfo	Wed May 30 11:07:52 2007
+++ /data2/FreeBSD/custom_ports/security/prelude-manager/distinfo	Mon Aug  6 09:07:24 2007
@@ -1,3 +1,3 @@
-MD5 (prelude-manager-0.9.8.tar.gz) = be73ee46a7279200c5b9fcc4a2f9b7ad
-SHA256 (prelude-manager-0.9.8.tar.gz) = c5a41ba98ff05d4c75f237e7e8c01efb8c086362b0713736d4d3451a1c023f15
-SIZE (prelude-manager-0.9.8.tar.gz) = 617261
+MD5 (prelude-manager-0.9.9.tar.gz) = ca9258faadb7306863dffeac8f855161
+SHA256 (prelude-manager-0.9.9.tar.gz) = 734bd844df4e337cb989ea9700d60ca2d0eae03a5b0e97a5559b3addb2498ec6
+SIZE (prelude-manager-0.9.9.tar.gz) = 647696
diff -ruN --exclude=CVS /usr/ports/security/prelude-manager/files/pkg-deinstall.in /data2/FreeBSD/custom_ports/security/prelude-manager/files/pkg-deinstall.in
--- /usr/ports/security/prelude-manager/files/pkg-deinstall.in	Thu Jan  1 01:00:00 1970
+++ /data2/FreeBSD/custom_ports/security/prelude-manager/files/pkg-deinstall.in	Mon Aug  6 13:29:40 2007
@@ -0,0 +1,17 @@
+#!/bin/sh -
+#
+# $FreeBSD$
+#
+
+PRELUDEUSER=%%PRELUDEUSER%%
+PRELUDEGROUP=%%PRELUDEGROUP%%
+
+if [ "$2" = "POST-DEINSTALL" ]; then
+  if /usr/sbin/pw group show "${PRELUDEGROUP}" 2>&1 >/dev/null; then
+    echo "You should manually remove the \"${PRELUDEGROUP}\" group."
+  fi
+
+  if /usr/sbin/pw user show "${PRELUDEUSER}" 2>&1 >/dev/null; then
+    echo "You should manually remove the \"${PRELUDEUSER}\" user."
+  fi
+fi
diff -ruN --exclude=CVS /usr/ports/security/prelude-manager/files/pkg-install.in /data2/FreeBSD/custom_ports/security/prelude-manager/files/pkg-install.in
--- /usr/ports/security/prelude-manager/files/pkg-install.in	Thu Jan  1 01:00:00 1970
+++ /data2/FreeBSD/custom_ports/security/prelude-manager/files/pkg-install.in	Mon Aug  6 13:30:48 2007
@@ -0,0 +1,74 @@
+#!/bin/sh -
+#
+# $FreeBSD$
+#
+
+PRELUDEDIR=%%PRELUDEDIR%%
+PRELUDEUSER=%%PRELUDEUSER%%
+PRELUDEGROUP=%%PRELUDEGROUP%%
+PRELUDEUID=%%PRELUDEUID%%
+PRELUDEGID=%%PRELUDEGID%%
+
+ask() {
+  local question default answer
+
+  question=$1
+  default=$2
+  if [ -z "${PACKAGE_BUILDING}" ]; then
+    read -p "${question} [${default}]? " answer
+  fi
+  if [ "x${answer}" = "x" ]; then
+    answer=${default}
+  fi
+  echo ${answer}
+}
+
+yesno() {
+  local default question answer
+
+  question=$1
+  default=$2
+  while :; do
+    answer=$(ask "${question}" "${default}")
+    case "${answer}" in
+      [Yy][Ee][Ss]|[Yy])
+        return 0
+        ;;
+      [Nn][Oo]|[Nn])
+        return 1
+        ;;
+    esac
+    echo "Please answer yes or no."
+   done
+}
+
+if [ "$2" = "PRE-INSTALL" ]; then
+  if /usr/sbin/pw group show "${PRELUDEGROUP}" 2>&1 >/dev/null; then
+    echo "You already have a \"${PRELUDEGROUP}\" group, so I will use it."
+  else
+    echo "You need a \"${PRELUDEGROUP}\" group."
+    if yesno "Would you like me to create it" "YES"; then
+      /usr/sbin/pw groupadd "${PRELUDEGROUP}" -g "${PRELUDEGID}" -h - || \
+        /usr/sbin/pw groupadd "${PRELUDEGROUP}" -h - || exit
+      echo "Done."
+    else
+      echo "Please create the \"${PRELUDEGROUP}\" group manually and try again."
+      exit 1
+    fi
+  fi
+
+  if /usr/sbin/pw user show "${PRELUDEUSER}" 2>&1 >/dev/null; then
+    echo "You already have a \"${PRELUDEUSER}\" user, so I will use it."
+  else
+    echo "You need a \"${PRELUDEUSER}\" user."
+    if yesno "Would you like me to create it" "YES"; then
+      /usr/sbin/pw useradd "${PRELUDEUSER}" -u "${PRELUDEUID}" -g "${PRELUDEGROUP}" -h - -d "${PRELUDEDIR}" \
+        -s /sbin/nologin -c "Prelude pseudo-user" || \
+        /usr/sbin/pw useradd "${PRELUDEUSER}" -g "${PRELUDEGROUP}" -h - -d "${PRELUDEDIR}" \
+        -s /sbin/nologin -c "Prelude pseudo-user" || exit
+    else
+      echo "Please create the \"${PRELUDEUSER}\" user manually and try again."
+      exit 1
+    fi
+  fi
+fi
===> Done
Comment 2 clsung freebsd_committer 2007-08-06 14:47:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

I'll take it.
Comment 3 r.gruyters 2007-08-06 15:35:14 UTC
Sorry, forgot to add the SUB_LIST= and also moved the *SUB* after
bsd.port.pre.mk.


===> Generating patch
===> Viewing diff with less
diff -ruN --exclude=CVS /usr/ports/security/prelude-manager/Makefile /data2/FreeBSD/custom_ports/security/prelude-manager/Makefile
--- /usr/ports/security/prelude-manager/Makefile	Thu Jul  5 02:23:06 2007
+++ /data2/FreeBSD/custom_ports/security/prelude-manager/Makefile	Mon Aug  6 16:31:46 2007
@@ -5,8 +5,7 @@
 # $FreeBSD: ports/security/prelude-manager/Makefile,v 1.45 2007/07/01 08:56:14 novel Exp $
 
 PORTNAME=	prelude-manager
-PORTVERSION=	0.9.8
-PORTREVISION=	1
+PORTVERSION=	0.9.9
 CATEGORIES=	security
 MASTER_SITES=	http://www.prelude-ids.org/download/releases/ \
 		http://www.prelude-ids.org/download/releases/old/
@@ -32,10 +31,21 @@
 PRELUDEUID=	281
 PRELUDEGID=	${PRELUDEUID}
 
+MAN1=		prelude-manager.1
+
 .include <bsd.port.pre.mk>
 
+PLIST_SUB+=	PRELUDEDIR=${PRELUDEDIR} \
+		PRELUDEUSER=${PRELUDEUSER} \
+		PRELUDEGROUP=${PRELUDEGROUP}
+
+SUB_FILES=	pkg-install \
+		pkg-deinstall
+
+SUB_LIST=	${PLIST_SUB}
+
 .if defined(WITHOUT_XML)
-PLIST_SUB+=	WITH_XML="@comment "
+PLIST_SUB+=		WITH_XML="@comment "
 CONFIGURE_ARGS+=	--disable-xmltest --without-xml
 .else
 LIB_DEPENDS+=	xml2.5:${PORTSDIR}/textproc/libxml2
diff -ruN --exclude=CVS /usr/ports/security/prelude-manager/distinfo /data2/FreeBSD/custom_ports/security/prelude-manager/distinfo
--- /usr/ports/security/prelude-manager/distinfo	Wed May 30 11:07:52 2007
+++ /data2/FreeBSD/custom_ports/security/prelude-manager/distinfo	Mon Aug  6 09:07:24 2007
@@ -1,3 +1,3 @@
-MD5 (prelude-manager-0.9.8.tar.gz) = be73ee46a7279200c5b9fcc4a2f9b7ad
-SHA256 (prelude-manager-0.9.8.tar.gz) = c5a41ba98ff05d4c75f237e7e8c01efb8c086362b0713736d4d3451a1c023f15
-SIZE (prelude-manager-0.9.8.tar.gz) = 617261
+MD5 (prelude-manager-0.9.9.tar.gz) = ca9258faadb7306863dffeac8f855161
+SHA256 (prelude-manager-0.9.9.tar.gz) = 734bd844df4e337cb989ea9700d60ca2d0eae03a5b0e97a5559b3addb2498ec6
+SIZE (prelude-manager-0.9.9.tar.gz) = 647696
diff -ruN --exclude=CVS /usr/ports/security/prelude-manager/files/pkg-deinstall.in /data2/FreeBSD/custom_ports/security/prelude-manager/files/pkg-deinstall.in
--- /usr/ports/security/prelude-manager/files/pkg-deinstall.in	Thu Jan  1 01:00:00 1970
+++ /data2/FreeBSD/custom_ports/security/prelude-manager/files/pkg-deinstall.in	Mon Aug  6 13:29:40 2007
@@ -0,0 +1,17 @@
+#!/bin/sh -
+#
+# $FreeBSD$
+#
+
+PRELUDEUSER=%%PRELUDEUSER%%
+PRELUDEGROUP=%%PRELUDEGROUP%%
+
+if [ "$2" = "POST-DEINSTALL" ]; then
+  if /usr/sbin/pw group show "${PRELUDEGROUP}" 2>&1 >/dev/null; then
+    echo "You should manually remove the \"${PRELUDEGROUP}\" group."
+  fi
+
+  if /usr/sbin/pw user show "${PRELUDEUSER}" 2>&1 >/dev/null; then
+    echo "You should manually remove the \"${PRELUDEUSER}\" user."
+  fi
+fi
diff -ruN --exclude=CVS /usr/ports/security/prelude-manager/files/pkg-install.in /data2/FreeBSD/custom_ports/security/prelude-manager/files/pkg-install.in
--- /usr/ports/security/prelude-manager/files/pkg-install.in	Thu Jan  1 01:00:00 1970
+++ /data2/FreeBSD/custom_ports/security/prelude-manager/files/pkg-install.in	Mon Aug  6 13:30:48 2007
@@ -0,0 +1,74 @@
+#!/bin/sh -
+#
+# $FreeBSD$
+#
+
+PRELUDEDIR=%%PRELUDEDIR%%
+PRELUDEUSER=%%PRELUDEUSER%%
+PRELUDEGROUP=%%PRELUDEGROUP%%
+PRELUDEUID=%%PRELUDEUID%%
+PRELUDEGID=%%PRELUDEGID%%
+
+ask() {
+  local question default answer
+
+  question=$1
+  default=$2
+  if [ -z "${PACKAGE_BUILDING}" ]; then
+    read -p "${question} [${default}]? " answer
+  fi
+  if [ "x${answer}" = "x" ]; then
+    answer=${default}
+  fi
+  echo ${answer}
+}
+
+yesno() {
+  local default question answer
+
+  question=$1
+  default=$2
+  while :; do
+    answer=$(ask "${question}" "${default}")
+    case "${answer}" in
+      [Yy][Ee][Ss]|[Yy])
+        return 0
+        ;;
+      [Nn][Oo]|[Nn])
+        return 1
+        ;;
+    esac
+    echo "Please answer yes or no."
+   done
+}
+
+if [ "$2" = "PRE-INSTALL" ]; then
+  if /usr/sbin/pw group show "${PRELUDEGROUP}" 2>&1 >/dev/null; then
+    echo "You already have a \"${PRELUDEGROUP}\" group, so I will use it."
+  else
+    echo "You need a \"${PRELUDEGROUP}\" group."
+    if yesno "Would you like me to create it" "YES"; then
+      /usr/sbin/pw groupadd "${PRELUDEGROUP}" -g "${PRELUDEGID}" -h - || \
+        /usr/sbin/pw groupadd "${PRELUDEGROUP}" -h - || exit
+      echo "Done."
+    else
+      echo "Please create the \"${PRELUDEGROUP}\" group manually and try again."
+      exit 1
+    fi
+  fi
+
+  if /usr/sbin/pw user show "${PRELUDEUSER}" 2>&1 >/dev/null; then
+    echo "You already have a \"${PRELUDEUSER}\" user, so I will use it."
+  else
+    echo "You need a \"${PRELUDEUSER}\" user."
+    if yesno "Would you like me to create it" "YES"; then
+      /usr/sbin/pw useradd "${PRELUDEUSER}" -u "${PRELUDEUID}" -g "${PRELUDEGROUP}" -h - -d "${PRELUDEDIR}" \
+        -s /sbin/nologin -c "Prelude pseudo-user" || \
+        /usr/sbin/pw useradd "${PRELUDEUSER}" -g "${PRELUDEGROUP}" -h - -d "${PRELUDEDIR}" \
+        -s /sbin/nologin -c "Prelude pseudo-user" || exit
+    else
+      echo "Please create the \"${PRELUDEUSER}\" user manually and try again."
+      exit 1
+    fi
+  fi
+fi
===> Done
Comment 4 r.gruyters 2007-08-06 15:56:08 UTC
Grrr, Forgot to save my changes in Makefile. Here is another update. (sorry
for the inconvenient)


===> Generating patch
===> Viewing diff with less
diff -ruN --exclude=CVS /usr/ports/security/prelude-manager/Makefile /data2/FreeBSD/custom_ports/security/prelude-manager/Makefile
--- /usr/ports/security/prelude-manager/Makefile	Thu Jul  5 02:23:06 2007
+++ /data2/FreeBSD/custom_ports/security/prelude-manager/Makefile	Mon Aug  6 16:52:40 2007
@@ -5,8 +5,7 @@
 # $FreeBSD: ports/security/prelude-manager/Makefile,v 1.45 2007/07/01 08:56:14 novel Exp $
 
 PORTNAME=	prelude-manager
-PORTVERSION=	0.9.8
-PORTREVISION=	1
+PORTVERSION=	0.9.9
 CATEGORIES=	security
 MASTER_SITES=	http://www.prelude-ids.org/download/releases/ \
 		http://www.prelude-ids.org/download/releases/old/
@@ -32,10 +31,23 @@
 PRELUDEUID=	281
 PRELUDEGID=	${PRELUDEUID}
 
+MAN1=		prelude-manager.1
+
 .include <bsd.port.pre.mk>
 
+PLIST_SUB+=	PRELUDEUSER=${PRELUDEUSER} \
+		PRELUDEGROUP=${PRELUDEGROUP}
+
+SUB_FILES=	pkg-install \
+		pkg-deinstall
+
+SUB_LIST=	PRELUDEDIR=${PRELUDEDIR} \
+		PRELUDEUID=${PRELUDEUID} \
+		PRELUDEGID=${PRELUDEGID} \
+		${PLIST_SUB}
+
 .if defined(WITHOUT_XML)
-PLIST_SUB+=	WITH_XML="@comment "
+PLIST_SUB+=		WITH_XML="@comment "
 CONFIGURE_ARGS+=	--disable-xmltest --without-xml
 .else
 LIB_DEPENDS+=	xml2.5:${PORTSDIR}/textproc/libxml2
@@ -48,6 +60,9 @@
 LIB_DEPENDS+=	preludedb.4:${PORTSDIR}/security/libpreludedb
 PLIST_SUB+=	WITH_PRELUDEDB=""
 .endif
+
+pre-install:
+	@${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
 
 post-install:
 	@if [ ! -f ${PREFIX}/etc/prelude-manager/prelude-manager.conf ]; then \
diff -ruN --exclude=CVS /usr/ports/security/prelude-manager/distinfo /data2/FreeBSD/custom_ports/security/prelude-manager/distinfo
--- /usr/ports/security/prelude-manager/distinfo	Wed May 30 11:07:52 2007
+++ /data2/FreeBSD/custom_ports/security/prelude-manager/distinfo	Mon Aug  6 09:07:24 2007
@@ -1,3 +1,3 @@
-MD5 (prelude-manager-0.9.8.tar.gz) = be73ee46a7279200c5b9fcc4a2f9b7ad
-SHA256 (prelude-manager-0.9.8.tar.gz) = c5a41ba98ff05d4c75f237e7e8c01efb8c086362b0713736d4d3451a1c023f15
-SIZE (prelude-manager-0.9.8.tar.gz) = 617261
+MD5 (prelude-manager-0.9.9.tar.gz) = ca9258faadb7306863dffeac8f855161
+SHA256 (prelude-manager-0.9.9.tar.gz) = 734bd844df4e337cb989ea9700d60ca2d0eae03a5b0e97a5559b3addb2498ec6
+SIZE (prelude-manager-0.9.9.tar.gz) = 647696
diff -ruN --exclude=CVS /usr/ports/security/prelude-manager/files/pkg-deinstall.in /data2/FreeBSD/custom_ports/security/prelude-manager/files/pkg-deinstall.in
--- /usr/ports/security/prelude-manager/files/pkg-deinstall.in	Thu Jan  1 01:00:00 1970
+++ /data2/FreeBSD/custom_ports/security/prelude-manager/files/pkg-deinstall.in	Mon Aug  6 13:29:40 2007
@@ -0,0 +1,17 @@
+#!/bin/sh -
+#
+# $FreeBSD$
+#
+
+PRELUDEUSER=%%PRELUDEUSER%%
+PRELUDEGROUP=%%PRELUDEGROUP%%
+
+if [ "$2" = "POST-DEINSTALL" ]; then
+  if /usr/sbin/pw group show "${PRELUDEGROUP}" 2>&1 >/dev/null; then
+    echo "You should manually remove the \"${PRELUDEGROUP}\" group."
+  fi
+
+  if /usr/sbin/pw user show "${PRELUDEUSER}" 2>&1 >/dev/null; then
+    echo "You should manually remove the \"${PRELUDEUSER}\" user."
+  fi
+fi
diff -ruN --exclude=CVS /usr/ports/security/prelude-manager/files/pkg-install.in /data2/FreeBSD/custom_ports/security/prelude-manager/files/pkg-install.in
--- /usr/ports/security/prelude-manager/files/pkg-install.in	Thu Jan  1 01:00:00 1970
+++ /data2/FreeBSD/custom_ports/security/prelude-manager/files/pkg-install.in	Mon Aug  6 13:30:48 2007
@@ -0,0 +1,74 @@
+#!/bin/sh -
+#
+# $FreeBSD$
+#
+
+PRELUDEDIR=%%PRELUDEDIR%%
+PRELUDEUSER=%%PRELUDEUSER%%
+PRELUDEGROUP=%%PRELUDEGROUP%%
+PRELUDEUID=%%PRELUDEUID%%
+PRELUDEGID=%%PRELUDEGID%%
+
+ask() {
+  local question default answer
+
+  question=$1
+  default=$2
+  if [ -z "${PACKAGE_BUILDING}" ]; then
+    read -p "${question} [${default}]? " answer
+  fi
+  if [ "x${answer}" = "x" ]; then
+    answer=${default}
+  fi
+  echo ${answer}
+}
+
+yesno() {
+  local default question answer
+
+  question=$1
+  default=$2
+  while :; do
+    answer=$(ask "${question}" "${default}")
+    case "${answer}" in
+      [Yy][Ee][Ss]|[Yy])
+        return 0
+        ;;
+      [Nn][Oo]|[Nn])
+        return 1
+        ;;
+    esac
+    echo "Please answer yes or no."
+   done
+}
+
+if [ "$2" = "PRE-INSTALL" ]; then
+  if /usr/sbin/pw group show "${PRELUDEGROUP}" 2>&1 >/dev/null; then
+    echo "You already have a \"${PRELUDEGROUP}\" group, so I will use it."
+  else
+    echo "You need a \"${PRELUDEGROUP}\" group."
+    if yesno "Would you like me to create it" "YES"; then
+      /usr/sbin/pw groupadd "${PRELUDEGROUP}" -g "${PRELUDEGID}" -h - || \
+        /usr/sbin/pw groupadd "${PRELUDEGROUP}" -h - || exit
+      echo "Done."
+    else
+      echo "Please create the \"${PRELUDEGROUP}\" group manually and try again."
+      exit 1
+    fi
+  fi
+
+  if /usr/sbin/pw user show "${PRELUDEUSER}" 2>&1 >/dev/null; then
+    echo "You already have a \"${PRELUDEUSER}\" user, so I will use it."
+  else
+    echo "You need a \"${PRELUDEUSER}\" user."
+    if yesno "Would you like me to create it" "YES"; then
+      /usr/sbin/pw useradd "${PRELUDEUSER}" -u "${PRELUDEUID}" -g "${PRELUDEGROUP}" -h - -d "${PRELUDEDIR}" \
+        -s /sbin/nologin -c "Prelude pseudo-user" || \
+        /usr/sbin/pw useradd "${PRELUDEUSER}" -g "${PRELUDEGROUP}" -h - -d "${PRELUDEDIR}" \
+        -s /sbin/nologin -c "Prelude pseudo-user" || exit
+    else
+      echo "Please create the \"${PRELUDEUSER}\" user manually and try again."
+      exit 1
+    fi
+  fi
+fi
===> Done
Comment 5 dfilter freebsd_committer 2007-08-15 07:48:41 UTC
clsung      2007-08-15 06:48:36 UTC

  FreeBSD ports repository

  Modified files:
    security/prelude-manager Makefile distinfo 
  Added files:
    security/prelude-manager/files pkg-deinstall.in pkg-install.in 
  Log:
  - Update to 0.9.9
  - Fix error when changing ownership of spool directory
  
  Changelog prelude-manager 0.9.9:
  - Update configuration template, add documentation for Prelude
    generic TCP options.
  - Implement modified patch from Pierre Chifflier <chifflier@inl.fr>
    to fix the example log path (fix #224).
  - Move IDMEF message normalization in the scheduler, rather than
    doing it upon reception. This remove some load from the server
    and allow Prelude-Manager own IDMEF messages to go through the
    normalizer path.
  - Implement heartbeat->analyzer normalization.
  - Improve IPv4 / IPv6 address normalization.
    IPv4 mapped IPv6 addresses are now mapped back to IPv4.
    Additionally, the Normalize plugin now provide two additionals option:
    ipv6-only: Map any incoming IPv4 address to IPv6.
    keep-ipv4-mapped-ipv6: do not map IPv4 mapped IPv6 addresses back to
    IPv4.
  - Make a difference between exceptional report plugin failure (example:
    a single message couldn't be processed) and "global" plugin failure
    (example: database server is down). We use a different failover for
     'exceptional' failure, so that we don't try to reinsert a bogus message
     (fix #247).
  - Start of a Prelude-Manager manpages (#236).
  - Various bug fixes.
  
  PR:             ports/115233
  Submitted by:   maintainer (Robin Gruyters)
  
  Revision  Changes    Path
  1.46      +13 -3     ports/security/prelude-manager/Makefile
  1.19      +3 -3      ports/security/prelude-manager/distinfo
  1.1       +17 -0     ports/security/prelude-manager/files/pkg-deinstall.in (new)
  1.1       +74 -0     ports/security/prelude-manager/files/pkg-install.in (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 clsung freebsd_committer 2007-08-15 07:48:45 UTC
State Changed
From-To: open->closed

Committed. Thank You.